## com.imcode.imcms.servlet.admin
Class ListDocumentAliasPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage
              com.imcode.imcms.servlet.admin.ListDocumentAliasPage

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class ListDocumentAliasPage

extends OkCancelPage

See Also:
  Serialized Form

Field Summary
`java.util.Set<java.lang.String>` `aliasInSelectedRange`
`java.lang.String` `endString`
`static java.lang.String` `REQUEST_PARAMETER__CANCEL_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__LIST_END`
`static java.lang.String` `REQUEST_PARAMETER__LIST_START`
`static java.lang.String` `REQUEST_PARAMETER_BUTTON__LIST`
`java.lang.String` `startString`

Fields inherited from class com.imcode.imcms.flow.OkCancelPage
`cancelCommand, okCommand, REQUEST_PARAMETER__CANCEL, REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`ListDocumentAliasPage(DispatchCommand okDispatchCommand, DispatchCommand cancelDispatchCommand, javax.servlet.http.HttpServletRequest request)`

Method Summary
`protected void` `dispatchOther(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`
`protected void` `updateFromRequest(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.flow.OkCancelPage
`dispatch, dispatchCancel, dispatchNotCanceled, dispatchOk, wasCanceled, wasOk`

Methods inherited from class com.imcode.imcms.flow.Page
`forward, fromRequest, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER_BUTTON__LIST

    public static final java.lang.String REQUEST_PARAMETER_BUTTON__LIST

See Also:
  Constant Field Values

### REQUEST_PARAMETER__LIST_START

    public static final java.lang.String REQUEST_PARAMETER__LIST_START

See Also:
  Constant Field Values

### REQUEST_PARAMETER__LIST_END

    public static final java.lang.String REQUEST_PARAMETER__LIST_END

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CANCEL_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__CANCEL_BUTTON

See Also:
  Constant Field Values

### startString

    public java.lang.String startString

### endString

    public java.lang.String endString

### aliasInSelectedRange

    public java.util.Set<java.lang.String> aliasInSelectedRange

Constructor Detail

### ListDocumentAliasPage

    public ListDocumentAliasPage(DispatchCommand okDispatchCommand,
                                 DispatchCommand cancelDispatchCommand,
                                 javax.servlet.http.HttpServletRequest request)

Method Detail

### updateFromRequest

    protected void updateFromRequest(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `updateFromRequest` in class `OkCancelPage`

### dispatchOther

    protected void dispatchOther(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Overrides:
    `dispatchOther` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `getPath` in class `Page`